
#import <Cocoa/Cocoa.h>

@interface LRTableView : NSTextView  {
	
	NSAttributedString *placeHolderString;
}


#pragma mark Placeholder String
#pragma mark -

- (BOOL)becomeFirstResponder;
- (void)drawRect:(NSRect)rect;
- (BOOL)resignFirstResponder;

- (NSString *)placeholderString;
- (void)setPlaceholderString:(NSString *)string;


#pragma mark URL Handling
#pragma mark -

- (void)setString:(NSString *)aString;
- (void)didChangeText;
- (id)initWithFrame:(NSRect)inFrame;
- (void)mouseDown:(NSEvent*)inEvent;

@end
